/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.benutzerverwaltung.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QRolle extends EntityPathBase<Rolle> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// Mandant
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QRolle rolle = new QRolle("rolle");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath beschreibung = createString("beschreibung");

  public final StringPath name = createString("name");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.mandant.entity.QMandant mandant;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */
						
  public QRolle(Class<? extends Rolle> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.mandant = inits.isInitialized("mandant") ? new de.ivu.elect.business.mandant.entity.QMandant(forProperty("mandant"), inits.get("mandant")) : null;// de.ivu.elect.business.mandant.entity.QMandant.mandant;
  }

  public QRolle(String variable) {
    this(Rolle.class, forVariable(variable), INITS);
  }

  public QRolle(Path<? extends Rolle> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QRolle(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QRolle(PathMetadata metadata, PathInits inits) {
    this(Rolle.class, metadata, inits);
  }
}
